Get Fast Firehose Accounts at Bank
GET /obp/v7.0.0/management/banks/BANK_ID/fast-firehose/accounts
OBPv4.0.0-getFastFirehoseAccountsAtOneBank Roles: CanUseAccountFirehoseAtAnyBank,CanUseAccountFirehose(per bank) AccountAccount-FirehoseFirehoseData
This endpoint allows bulk access to accounts.
optional pagination parameters for filter with accounts
Possible custom url parameters for pagination:
- limit=NUMBER ==> default value: 50
- offset=NUMBER ==> default value: 0
eg1:?limit=100&offset=0
URL encoding: query parameter values containing &, =, +, #, %, or spaces must be URL-encoded (e.g. + → %2B, space → %20). Most other characters (including @ in emails) are safe unencoded, but encoding is always permitted.
- sort_direction=ASC/DESC ==> default value: DESC.
eg2:?limit=100&offset=0&sort_direction=ASC
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (19)
- account_attributes
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- account_routings
- accounts
- amount
- 10.12
- balance
- 10
- bank_id
- gh.29.uk
- code
- 125
- currency
- EUR
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- label
- My Account
- number
- owners
- product_code
- 1234BW
- provider
- ETHEREUM
- type
- user_id
- 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
- user_name
- felixsmith
- value
- 5987953
Example success response
{
"accounts": [
{
"id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"bank_id": "gh.29.uk",
"label": "My Account",
"number": "",
"owners": [
{
"user_id": "b27327a2-a822-41e5-a909-0150da688939",
"provider": "https://finx22openplatform.fintech-galaxy.com,user_name:synth_user_1_54891",
"user_name": ""
}
],
"product_code": "1234BW",
"balance": {
"currency": "EUR",
"amount": "0"
},
"account_routings": [
{
"bank_id": "bisb.com",
"account_id": "c590e38e-847c-466f-9a62-f2ad67daf106"
}
],
"account_attributes": [
{
"type": "INTEGER",
"code": "Loan1",
"value": "0"
},
{
"type": "STRING",
"code": "Loan1",
"value": "4421.783"
}
]
}
]
}Possible errors (3)
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles: